# Volt::Webix

A Volt component wrapping the Webix Javascript library.

It depends on opal-webix, a gem which wraps the Webix Javascript library in a client-side Ruby API.

See
- https://www.webix.com
- https://github.com/balmoral/volt-webix-app
- https://github.com/balmoral/volt-webix
- https://github.com/balmoral/opal-webix

## Installation

Add this line to your application's Gemfile:

    gem 'volt-webix'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install volt-webix

## Usage

First include the gem in the project's Gemfile:

```gem 'volt-webix'```

Put a licensed copy of `webix.css` in the application's `assets/css` folder.

Put a licensed copy of `webix.js` in the application's `assets/js` folder.

Next add volt-webix to the dependencies.rb file:

```component 'webix'```

Add the component to a view html file:

```html
<:webix />
```

### Example
 
Coming soon...

An example application can be found at https://github.com/balmoral/volt-webix-app.

See it running at https://volt-webix-app.herokuapp.com/.

## To do

1. much

## Contributing

Contributions, comments and suggestions are welcome.
 
1. Fork it ( http://github.com/balmoral/volt-webix/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request

## Licenses

### Webix
Open source (GNU GPLv3) - cannot be distributed in non-open source projects.
Commercial licences available.
See http://webix.com/ for details.

### volt-webix 
MIT Licence.
See LICENSE.txt
